Package com.emc.d2fs.services.delegation_service

# Class UndoDelegationRequest

java.lang.Object
com.emc.d2fs.services.delegation_service.UndoDelegationRequest

All Implemented Interfaces:
  `Serializable`

public class UndoDelegationRequest extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/context}context"/>
             <element ref="{http://www.emc.com/d2fs/models/attribute}attributes" maxOccurs="1000" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id use="required""/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UndoDelegationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attribute>`
  `getAttributes()`
  Gets the value of the attributes property.
  `Context`
  `getContext()`
  Gets the value of the context property.
  `String`
  `getId()`
  Gets the value of the id property.
  `void`
  `setContext(Context value)`
  Sets the value of the context property.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UndoDelegationRequest

    public UndoDelegationRequest()

- ## Method Details

  - ### getContext

    public Context getContext()
    Gets the value of the context property.
    Returns:
      possible object is `Context`

  - ### setContext

    public void setContext(Context value)
    Sets the value of the context property.
    Parameters:
      `value` - allowed object is `Context`

  - ### getAttributes

    public List<Attribute> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

            getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`